Bug Hunting Session
Bug 42365 - FORMATTING: some function names in Formula Editor appears in italic
Summary: FORMATTING: some function names in Formula Editor appears in italic
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Formula-Editor
  Show dependency treegraph
 
Reported: 2011-10-29 05:24 UTC by Jamie Twells
Modified: 2019-10-10 02:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jamie Twells 2011-10-29 05:24:11 UTC
Problem description: 

Steps to reproduce:
1. In Libreoffice writer:
2. insert>object>formula
3. type: sin(x) newline coth(x) newline cosech (x) newline sech(x)

Current behavior:sin(x) and coth(x) are formatted correctly cosech and sech are not.

Expected behavior: None of them should be in italic

Platform (if different from the browser): 
              
Browser: Opera/9.80 (X11; Linux i686; U; en-GB) Presto/2.9.168 Version/11.52
Comment 1 tester8 2011-10-29 07:25:00 UTC
As a workaround you can type:
sin(x) newline coth(x) newline "cosech"(x) newline "sech"(x)
Comment 2 Jamie Twells 2011-10-29 07:26:55 UTC
Thanks that works perfectly
Comment 3 sasha.libreoffice 2012-02-06 05:36:39 UTC
reproduced in LibO 3.5.0 beta on Fedora 64 bit
Comment 4 Jorendc 2013-02-18 09:52:23 UTC
Still reproducible using Linux Mint 14 x64 with LibreOffice 4.0.0 and master Version 4.1.0.0.alpha0+ (Build ID: 07ee72672e6966dafccf21ca3349e428c2a9dd0).

Kind regards,
Joren
Comment 5 Thomas Arnhold 2013-09-08 12:37:55 UTC
To get them automatically detected as formulas they have to be added to the list of formulas (including their inverse functions).

http://en.wikipedia.org/wiki/List_of_mathematical_abbreviations
Comment 6 QA Administrators 2015-04-01 14:40:25 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-04-21 17:41:08 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 8 QA Administrators 2016-09-20 09:32:38 UTC Comment hidden (obsolete)
Comment 9 Thomas Lendo 2018-10-09 07:39:54 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: e46f8a9a4e3c5b0542c0813b476b449f3af8d607
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-07_23:36:50
Locale: de-AT (de_AT); Calc: CL
Comment 10 QA Administrators 2019-10-10 02:40:49 UTC
Dear Jamie Twells,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug